LSCPU(1)

NUME
lscpu - afișează informații despre arhitectura procesorului

REZUMAT

lscpu [opțiuni]

DESCRIERE

lscpu adună informații despre arhitectura procesorului din sysfs, /proc/cpuinfo și din orice bibliotecă specifică arhitecturii (de exemplu, librtas pe Powerpc). Ieșirea comenzii poate fi optimizată pentru analiză sau pentru a fi ușor de citit de către oameni. Informațiile includ, de exemplu, numărul de unități centrale de procesare, fire de execuție, nuclee, socluri și noduri NUMA (Non-Uniform Memory Access). Există, de asemenea, informații despre memoriile de prestocare ale (cache) CPU și partajarea acestor memorii (cache), familia, modelul, bogoMIPS, ordinea octeților, etapizarea (stepping) și versiunea micro-codului.

Formatarea implicită a ieșirii pe un terminal poate fi modificată și poate fi optimizată pentru o mai bună lizibilitate. Ieșirea pentru non-terminale (de exemplu, conducte) nu este niciodată afectată de această optimizare și este întotdeauna în format „Câmp: date\n”. Utilizați, de exemplu, «lscpu | less» pentru a vedea ieșirea implicită fără optimizări.

În mediile virtualizate, informațiile despre arhitectura CPU afișate reflectă configurația sistemului de operare invitat, care este de obicei diferită de cea a sistemului fizic (gazdă). În cazul arhitecturilor care acceptă recuperarea informațiilor despre topologia fizică, lscpu afișează, de asemenea, numărul de socluri fizice, cipuri, nuclee din sistemul gazdă.

Opțiunile care generează un tabel de ieșire acceptă un argument opțional listă. Această listă este o serie de etichete de coloane separate prin virgule, care limitează tabelul doar la coloanele specificate, aranjate în ordinea indicată. Utilizați --help pentru a vedea o listă de etichete de coloane valide. Etichetele nu țin cont de majuscule și minuscule. Nu toate coloanele sunt acceptate pe toate arhitecturile. Dacă este specificată o coloană neacceptată, lscpu afișează coloana, dar nu furnizează date pentru aceasta.

Dimensiunile memoriei de prestocare (cache) sunt raportate ca rezumat de la toate unitățile centrale de procesare. Versiunile anterioare versiunii v2.34 raportau dimensiunile per nucleu, dar acest rezultat era confuz din cauza topologiei complicate a procesoarelor și a modului în care sunt partajate memoriile de prestocare a datelor (cache) între procesoare. Pentru mai multe detalii despre memoriile de prestocare, consultați --cache. Începând cu versiunea v2.37, lscpu urmărește ID-urile memoriei de prestocare furnizate de nucleul Linux, și nu începe întotdeauna de la zero.

OPȚIUNI

-a, --all
    Include liniile pentru procesoarele active și inactive (implicit pentru -e). Această opțiune poate fi specificată numai împreună cu opțiunea -e sau -p.

-B, --bytes
    Afișează dimensiunile în octeți, și nu într-un format ușor de citit de către om.

    În mod implicit, dimensiunile sunt afișate în unități care reprezintă puteri de 1024 de octeți. Abrevierile formale pentru aceste unități (Kio, Mio, Gio, ...) sunt scurtate la rândul lor la doar prima literă: K, M, G, ....

-b, --online
    Limitează ieșirea la procesoarele active (implicit pentru -p). Această opțiune poate fi specificată numai împreună cu opțiunea -e sau -p.

-C, --caches[=listă]
    Afișează detalii despre memoria de prestocare (cache) a procesorului. Pentru detalii despre informațiile disponibile, consultați ieșirea opțiunii --list-columns.

    În cazul în care argumentul listă este omis, toate coloanele pentru care sunt disponibile date sunt incluse în ieșirea comenzii.

    Atunci când se specifică argumentul listă, șirul opțiunii, urmat de semnul egal (=) și de listă, nu trebuie să conțină spații. Exemple: -C=NUME,DIMENSIUNE-UNICĂ sau --caches=NUME,DIMENSIUNE-UNICĂ.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul „+listă” (de exemplu, lscpu -C=+ALLOC-POLICY).

-c, --offline
    Limitează ieșirea la procesoarele inactive. Această opțiune poate fi specificată numai împreună cu opțiunea -e sau -p.

-e, --extended[=listă]
    Afișează informațiile despre CPU în format ușor de citit.

    Dacă argumentul listă este omis, coloanele implicite sunt incluse în rezultatul comenzii. Ieșirea implicită poate fi modificată.

    Atunci când se specifică argumentul listă, șirul opțiunii, urmat de semnul egal (=) și de listă, nu trebuie să conțină spații. Exemple: „-e=cpu,nodul” sau „--extended=cpu,nodul”.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă (de exemplu, lscpu -e=+MHZ).

-H, --list-columns
    Listează coloanele care pot fi specificate cu opțiunile --extended, --parse și --caches. Poate fi utilizată împreună cu --json sau --raw pentru a obține lista într-un format care poate fi citit de către mașină.

--hierarchic[=când]
    Utilizează subsecțiuni în afișarea rezumatului. Pentru compatibilitate cu versiunile anterioare, implicit se utilizează subsecțiuni doar în cazul afișării pe terminal, iar afișarea simplificată este utilizată în cazul altor dispozitive. Argumentul opțional când poate fi never (niciodată), always (întotdeauna) sau auto. Dacă argumentul când este omis, valoarea implicită este always.

-J, --json
    Utilizează formatul de ieșire JSON pentru rezumatul implicit sau pentru ieșirea extinsă (a se vedea --extended). Pentru compatibilitate retroactivă, ieșirea JSON urmează comportamentul implicit al rezumatului pentru non-terminale (de exemplu, conducte) în cazul în care lipsesc subsecțiunile. A se vedea, de asemenea, --hierarchic.

--output-all
    Afișează toate coloanele disponibile. Această opțiune trebuie combinată fie cu --extended, --parse sau --caches.

-p, --parse[=listă]
    Optimizează ieșirea comenzii pentru o analiză ușoară.

    Dacă argumentul listă este omis, rezultatul comenzii este compatibil cu versiunile anterioare ale lscpu. În acest format compatibil, se utilizează două virgule pentru a separa coloanele memoriei de prestocare (cache) CPU. Dacă nu este identificată nicio memorie de prestocare CPU, coloana de memorie de prestocare este omisă. Dacă se utilizează argumentul listă, coloanele de memorie de prestocare sunt separate prin două puncte (:).

    Atunci când se specifică argumentul listă, șirul opțiunii, urmat de semnul egal (=) și de listă, nu trebuie să conțină spații. Exemple: -p=cpu,online,mhz sau --parse=cpu,online,mhz.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul „+listă” (de exemplu, lscpu -p=+MHZ).

-r, --raw
    Produce rezultatul în formatul său brut. Această opțiune este aplicabilă numai pentru ieșirile --extended, --parse și --caches.

-s, --sysroot director
    Adună date despre CPU pentru o instanță Linux, alta decât cea de la care este emisă comanda lscpu. Directorul director specificat este rădăcina de sistem a instanței Linux care urmează să fie inspectată.

-x, --hex
    Utilizează măști hexazecimale pentru seturile CPU (de exemplu, „ff”). Valoarea implicită este de a imprima seturile în format listă (de exemplu: 0,1). Rețineți că, înainte de versiunea 2.30, masca a fost afișată cu prefixul 0x.

-y, --physical
    Afișează ID-urile fizice pentru toate coloanele cu elemente de topologie (nucleu, soclu etc.). În afară de ID-urile logice, care sunt atribuite de lscpu, ID-urile fizice sunt valori specifice platformei care sunt furnizate de nucleu. ID-urile fizice nu sunt neapărat unice și este posibil să nu fie aranjate secvențial. În cazul în care nucleul nu a putut prelua un ID fizic pentru un element, lscpu afișează caracterul liniuță (-).

    Numerele logice ale CPU nu sunt afectate de această opțiune.

--arm-id[=listă]
    Afișează o listă cu implementatorii cunoscuți ai nucleelor ARM și denumirile lor ușor de reținut.

    Dacă se specifică un argument, afișează o listă cu ID-urile individuale ale nucleelor și numele acestora, pentru implementatorul specificat.

--arm-model id
    Afișează numele acestui model de nucleu specific. Pentru aceasta, este necesar să se transmită --arm-id=id pentru a indica și ID-ul implementatorului.

--annotate[=când]
    Adaugă o adnotare la numele fiecărui antet de coloană. O astfel de adnotare poate fi afișată sub formă de ferestre emergente de către terminalele care acceptă această funcție. Argumentul opțional când poate fi always (întotdeauna), never (niciodată) sau auto. Dacă argumentul este omis, valoarea implicită este auto, ceea ce înseamnă că adnotările vor fi utilizate doar atunci când ieșirea se face către un terminal.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MEDIU

LSCPU_COLUMNS=
    Specifică o listă de coloane de ieșire, separate prin virgule, care urmează să fie afișate. Pot fi utilizate toate coloanele enumerate de --list-columns pentru opțiunile -e și -p.

LSCPU_CACHES_COLUMNS=
    La fel ca LSCPU_COLUMNS, cu diferența că pot fi utilizate doar coloanele enumerate pentru opțiunea -C.

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

COLUMNS

O listă cu etichetele de coloane valide poate fi vizualizată folosind opțiunea --list-columns.

NOTE

Ieșirea implicită poate fi modificată. Prin urmare, pe cât posibil, ar trebui să evitați utilizarea ieșirii implicite în scripturile dumneavoastră.

ERORI

Prezentarea generală de bază a modelelor CPU se bazează pe euristică, luând în considerare diferențe precum numele modelelor CPU și ID-urile implementatorului. În unele cazuri (neobișnuite), CPU-urile se pot diferenția prin fanioane sau BogoMIPS, dar aceste diferențe sunt ignorate în prezentarea generală lscpu.

Uneori, în Xen Dom0, nucleul raportează date greșite.

Pe un echipament virtual, numărul de nuclee per soclu, etc. poate fi greșit.

AUTORI

CONSULTAȚI ȘI

chcpu(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda lscpu face parte din pachetul util-linux care poate fi descărcat de la